import { EventEmitter } from '@angular/core';
import { FormControl, FormGroup } from '@angular/forms';
import { NzMessageService } from 'ng-zorro-antd/message';
import { TranslateService } from '@ngx-translate/core';
import { IdentityResourceVO } from '../../vo/identity-resource.vo';
export declare class IdentityApiResourceUpdateComponent {
    private nzMessageService;
    private translateService;
    apiResource: IdentityResourceVO;
    apiResourceFetching: boolean;
    apiResourceUpdating: boolean;
    formGroup: FormGroup;
    identityApiResourceUpdateScopeComponentProp: {
        visible: boolean;
    };
    identityApiResourceUpdateSecretComponentProp: {
        visible: boolean;
    };
    ok: EventEmitter<void>;
    visible: boolean;
    visibleChange: EventEmitter<boolean>;
    constructor(nzMessageService: NzMessageService, translateService: TranslateService);
    get userClaimsControl(): FormControl;
    handleAfterClose(): void;
    handleAfterOpen(): void;
    handleCancel(): void;
    handleOk(): void;
    openIdentityApiResourceUpdateScopeComponent(): void;
    openIdentityApiResourceUpdateSecretComponent(): void;
    private fetchApiResource;
}
